<?php
namespace App;

use Symfony\Component\Yaml\Yaml;
use Symfony\Component\Yaml\Exception\ParseException;

use Monolog\Logger;
use Monolog\Handler\StreamHandler;
use Psr\Log\NullLogger;

class App
{
    protected Logger $logger;
    protected array $config;

    function __construct(string $configFile)
    {
        $this->config = Yaml::parseFile($configFile);
        $logger = new Logger('app');
        if (isset($this->config['log'])) {
            $logger->pushHandler(new StreamHandler($this->getConfig()['log']));
        }
        $logger->info("Initialization complete");
        

        $this->logger = $logger;
    }

 
    function getConfig() : array
    {
        return $this->config;
    }

    function getLogger() : Logger
    {
        return $this->logger;
    }
}