<?php declare(strict_types=1);
use PHPUnit\Framework\TestCase;

final class RcloneTest extends TestCase
{
    public function testRclonePath(): void
    {
        $this->expectException(\Exception::class);
        $rclone = new \App\Rclone\Rclone('invalid');
    }

    public function testRcloneInvalidVersion(): void
    {
        $this->expectException(\Exception::class);
        $rclone = new \App\Rclone\Rclone('uname');
    }

    public function testRcloneValidVersion(): void
    {
        $rclone = new \App\Rclone\Rclone('./tests/mock-rclone');
        $this->assertStringContainsString('rclone', $rclone->getVersion());
    }
}